com.tibbo.aggregate.common.datatable.converter.editor

## Class ContextMaskConverter

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter
  - - com.tibbo.aggregate.common.datatable.converter.editor.ContextMaskConverter

- All Implemented Interfaces:
    EditorOptionsConverter

      public class ContextMaskConverter
      extends AbstractEditorOptionsConverter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContextMaskConverter.Options`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_CONTEXT_MASK`
    `static java.lang.String` | `FIELD_CONTEXT_MASKS`
    `static java.lang.String` | `FIELD_CONTEXT_TYPE`
    `static java.lang.String` | `FIELD_CONTEXT_TYPES`
    `static java.lang.String` | `FIELD_ROOT_CONTEXT`
    `static TableFormat` | `FORMAT`

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter

      `editors, types`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMaskConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertToString(DataTable options)`
    `TableFormat` | `getFormat()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter

      `isSupportingEditor, isSupportingType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_ROOT_CONTEXT

          public static final java.lang.String FIELD_ROOT_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_CONTEXT_TYPES

          public static final java.lang.String FIELD_CONTEXT_TYPES

      See Also:
        Constant Field Values

    - #### FIELD_CONTEXT_MASKS

          public static final java.lang.String FIELD_CONTEXT_MASKS

      See Also:
        Constant Field Values

    - #### FIELD_CONTEXT_TYPE

          public static final java.lang.String FIELD_CONTEXT_TYPE

      See Also:
        Constant Field Values

    - #### FIELD_CONTEXT_MASK

          public static final java.lang.String FIELD_CONTEXT_MASK

      See Also:
        Constant Field Values

    - #### FORMAT

          public static final TableFormat FORMAT

  - ### Constructor Detail

    - #### ContextMaskConverter

          public ContextMaskConverter()

  - ### Method Detail

    - #### convertToString

          public java.lang.String convertToString(DataTable options)

      Specified by:
        `convertToString` in interface `EditorOptionsConverter`
      Specified by:
        `convertToString` in class `AbstractEditorOptionsConverter`

    - #### getFormat

          public TableFormat getFormat()

      Specified by:
        `getFormat` in interface `EditorOptionsConverter`
      Specified by:
        `getFormat` in class `AbstractEditorOptionsConverter`